#
# spec file for package migrate-sles-to-sles4sap
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           migrate-sles-to-sles4sap
Version:        15.1.2
Release:        3.3.1
Summary:        Migrate SLES to SLES-for-SAP
License:        GPL-2.0
Group:          SUSE internal
Source0:        Migrate_SLES_to_SLES-for-SAP.sh
BuildRequires:  filesystem
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides a migration utility to migrate from SUSE Linux Enterprise Server to SUSE Linux Enterprise Server for SAP Applications using SCC or local RMT/SMT.

%install
mkdir -p %{buildroot}/usr/sbin
install -m 700 %{S:0} %{buildroot}/usr/sbin/

%files
%defattr(-,root,root)
/usr/sbin/Migrate_SLES_to_SLES-for-SAP.sh
%changelog
* Fri Sep 13 2019 sweiberg@suse.com
- fixed bsc#1112548 - rollback for failed migration
- Removed several hacks that aren't necessary anymore, due to
  changes in SUSEConnect
- Bootloader change isn't necessary anymore as SLES will always be
  shown in GRUB2 regardless if SLES or SLES for SAP
- removed hardcoded version dependencies to make the script version
  independent
- added rollback in case of failed migration
- added additional runtime warnings and infos for user
- restructured code for cleaner readability
- fixed ShellCheck issues
- changed parsing for variables like VERSION and CPE from
  /etc/os-release to /etc/products.d/baseproduct, as
  /etc/os-release doesn't differ on SLES and SLES for SAP
- script now checks the SSL certificate of SMT and RMT servers
- added user input to allow self-signed SSL certificates on SMT and
  RMT servers
- fixed RMT registration
- added Malte Kraus as author, due to his input on the security
  checks
* Tue Feb 12 2019 sweiberg@suse.com
- bsc#1112548 - in case registration fails roll back to SLES
  * sles-release is removed before trying to register the system.
    In case the registration fails the system does end up without
    release files and can't be registered anymore.
  * now backing up sles-release RPM before de-registering SLES
  * installing sles-release RPM after failed registration to have
    a system that can still use SUSEConnect for registration.
- fix warnings by ShellCheck regarding code style
- be more verbose regarding error messages
* Sun Jan  6 2019 sweiberg@suse.com
- bsc#1116214: submission to SLES 15 SP1
* Wed Sep 26 2018 sweiberg@suse.com
- Update for SLE_SAP 15 SP1
* Thu Jun 21 2018 dakechi@suse.com
- Adjusted the script to work with the new SLE-15 RMT service,
  instead of the SLE-12 SMT.
* Wed Feb 14 2018 dakechi@suse.com
- Updated for SLE-15 migration. Included the behavior to register
  all the default modules and products of SLES for SAP.
* Wed May 10 2017 varkoly@suse.com
- Update for SLE_SAP SP3
* Wed Aug 31 2016 varkoly@suse.com
- bnc#992621 - JeOS and Migrate_SLES_to_SLES-for-SAP-12.sh don't work
* Mon Aug  8 2016 varkoly@suse.com
- Update for SLE_SAP SP2
* Fri Feb  5 2016 varkoly@suse.com
- Update for SLE_SAP SP1
* Wed Aug  5 2015 varkoly@suse.com
- Fix the ask text.
* Sat Jun  6 2015 varkoly@suse.com
- This package is noarch
* Fri Jun  5 2015 varkoly@suse.com
- Initial Version of Migrate_SLES_to_SLES-for-SAP-12.sh
